Advertising

Author Topic: Sparky upgrade to 5.7.1<SOLVED>  (Read 348 times)

Offline Sergio 1

  • Newbie
  • *
  • Posts: 15
Sparky upgrade to 5.7.1<SOLVED>
« on: April 12, 2019, 05:16:11 pm »
I have Sparky 5.7 installed and I want to make full system upgrade.
Should I first write a new version 5.7.1 to the USB flash drive and then upgrade from it my 5.7 version or can it be done via APTus (full system upgrade)?
I tried to do a full upgrade without a flash drive, but nothing came of it. :-\
« Last Edit: April 13, 2019, 02:02:46 pm by Sergio 1 »

Offline AxL

  • Newbie
  • *
  • Posts: 12
Re: Sparky upgrade to 5.7.1
« Reply #1 on: April 12, 2019, 07:03:08 pm »
I have Sparky 5.7 installed and I want to make full system upgrade.
...
Please review this article from the wiki:

Manual system upgrade

Code: [Select]
sudo apt update; sudo apt dist-upgrade
Quote from: Sparky 5.7.1
System reinstallation is not required.
If you have Sparky 5.x installed, simply make full system upgrade.





Cheers!!   ;)

Offline Sergio 1

  • Newbie
  • *
  • Posts: 15
Re: Sparky upgrade to 5.7.1
« Reply #2 on: April 13, 2019, 09:02:10 am »
I have Sparky 5.7 installed and I want to make full system upgrade.
...
Please review this article from the wiki:

Manual system upgrade

Code: [Select]
sudo apt update; sudo apt dist-upgrade
Quote from: Sparky 5.7.1
System reinstallation is not required.
If you have Sparky 5.x installed, simply make full system upgrade.





Cheers!!   ;)

Thanks for the advice, but I already did it and all without result.. :(

Offline lami07

  • Global Moderator
  • Jr. Member
  • *****
  • Posts: 86
    • Sparky Community Repos
Re: Sparky upgrade to 5.7.1
« Reply #3 on: April 13, 2019, 09:32:05 am »
Quote from: Sergio 1
I tried to do a full upgrade without a flash drive, but nothing came of it. :-\
Quote from: Sergio 1
Thanks for the advice, but I already did it and all without result.. :(
If you installed 5.x and then made a full system upgrade you basically are running 5.7.1. Why do you presume it's otherwise ?
Quote from: forum rules
When an issue has been resolved for you, please edit the original post to include <SOLVED> in the title. This provides a good indicator for users with a similar problem to check out the thread
Want to chat? Join #sparkylinux at irc.freenode.net

Offline Sergio 1

  • Newbie
  • *
  • Posts: 15
Re: Sparky upgrade to 5.7.1
« Reply #4 on: April 13, 2019, 12:35:26 pm »
"If you installed 5.x and then made a full system upgrade you basically are running 5.7.1. Why do you presume it's otherwise ?"

Because there is nothing that is claimed and what should be.
 
<This update provides:
– full disk encrypting via the Calamares installer back
– Linux kernel 4.19.28 as default
– all packages updated from Debian testing repos as of April 02, 2019
– added qCamera and removed Camorama (LXQt iso)
– added qCalculator and removed Galculator (LXQt iso)
– and uGet download manager replaced by Persopolis (LXQt iso)>

Offline lami07

  • Global Moderator
  • Jr. Member
  • *****
  • Posts: 86
    • Sparky Community Repos
Re: Sparky upgrade to 5.7.1
« Reply #5 on: April 13, 2019, 01:12:43 pm »
Ok. Now I get it.
Quote
full disk encrypting via the Calamares installer back
To encrypt your disk you need to reinstall.
Quote
Linux kernel 4.19.28 as default
If you're running sparky kernel you already have newer kernel. Otherwise you are running debian kernel which is 4.19.28 at the moment.
Quote
all packages updated from Debian testing repos as of April 02, 2019
You have it already , nothing to do here.
Quote
- added qCamera and removed Camorama (LXQt iso)
– added qCalculator and removed Galculator (LXQt iso)
– and uGet download manager replaced by Persopolis (LXQt iso)>
You can easily install those packages using apt, or APTus.
Quote from: forum rules
When an issue has been resolved for you, please edit the original post to include <SOLVED> in the title. This provides a good indicator for users with a similar problem to check out the thread
Want to chat? Join #sparkylinux at irc.freenode.net

Offline Sergio 1

  • Newbie
  • *
  • Posts: 15
Re: Sparky upgrade to 5.7.1
« Reply #6 on: April 13, 2019, 01:34:06 pm »
lami07 Thank you for help and explanations.

Offline lami07

  • Global Moderator
  • Jr. Member
  • *****
  • Posts: 86
    • Sparky Community Repos
Re: Sparky upgrade to 5.7.1
« Reply #7 on: April 13, 2019, 01:46:20 pm »
You are welcome. And now would be good if could mark this topic as <SOLVED>.
Quote from: forum rules
When an issue has been resolved for you, please edit the original post to include <SOLVED> in the title. This provides a good indicator for users with a similar problem to check out the thread
Want to chat? Join #sparkylinux at irc.freenode.net